# -*- coding: utf-8 -*-
"""ler_arquivos.ipynb

Automatically generated by Colaboratory.

Original file is located at
    https://colab.research.google.com/drive/1qUNnLvRUe72WuzLU1cX-SNIGphoVY_2c
"""

# Formação Python Developer
# Descomplicando a Criação de Pacotes de Processamento de Imagens em Python
# Desafio  proposto pelo módulo "Tratamento de Dados com Python" da Digital Innovation One
# Autor: [Luis Pontes]
# Perfil DIO: [https://web.dio.me/users/MAILTOLUISCARLOS]
# GitHub: [https://github.com/CientistaPY]

import pandas as pd
from pathlib import Path

def ler_arquivos(urls):
    dataframes = []
    for url in urls:
        extensao = Path(url).suffix.lower()

        if extensao == '.csv':
            mecanismo_leitura = 'none'
            url_csv = url
        elif extensao == '.xlsx':
            mecanismo_leitura = 'openpyxl'
        elif extensao == '.xls':
            mecanismo_leitura = 'openpyxl'
        else:
            print(f"Extensão não suportada para a URL {url}")
            continue

        try:
            if mecanismo_leitura == 'none':
                df = pd.read_csv(url_csv, sep='\t')
            elif mecanismo_leitura == 'openpyxl':
                df = pd.read_excel(url, engine=mecanismo_leitura)
            dataframes.append(df)
        except Exception as e:
            print(f"Erro ao ler o arquivo {url}: {str(e)}")

    return dataframes